aboutsummaryrefslogtreecommitdiffstats
path: root/main/slang
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-02-25 09:58:59 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-02-25 09:59:56 +0000
commit354fcf8b0065c7b89fcaab24acbe1a954c0f7dad (patch)
treed4e9b822e4e604d3c628727b0449f69e853c782d /main/slang
parentfccbf900e3f09c764a2d28e5d8ab86fafe2dee4c (diff)
downloadaports-354fcf8b0065c7b89fcaab24acbe1a954c0f7dad.tar.gz
aports-354fcf8b0065c7b89fcaab24acbe1a954c0f7dad.tar.bz2
aports-354fcf8b0065c7b89fcaab24acbe1a954c0f7dad.tar.xz
main/slang: upgrade to 2.2.3
Diffstat (limited to 'main/slang')
-rw-r--r--main/slang/APKBUILD23
-rw-r--r--main/slang/slang-2.1.3-uclibc.patch12
-rw-r--r--main/slang/slang-2.2.3-slsh-libs.patch11
3 files changed, 24 insertions, 22 deletions
diff --git a/main/slang/APKBUILD b/main/slang/APKBUILD
index a932fa3a46..b4a3329c49 100644
--- a/main/slang/APKBUILD
+++ b/main/slang/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=slang
-pkgver=2.2.1
-pkgrel=3
+pkgver=2.2.3
+pkgrel=0
pkgdesc="S-Lang is a powerful interpreted language"
url="http://www.s-lang.org/"
arch="all"
@@ -10,27 +10,30 @@ subpackages="$pkgname-dev $pkgname-doc"
depends=
makedepends="pcre-dev ncurses-dev"
source="ftp://ftp.fu-berlin.de/pub/unix/misc/$pkgname/v${pkgver%.*}/$pkgname-$pkgver.tar.gz
- slang-2.1.3-uclibc.patch
+ slang-2.2.3-slsh-libs.patch
"
prepare () {
cd "$srcdir"/$pkgname-$pkgver
- for i in ../*.patch; do
- msg "Applying $i..."
- patch -p1 < $i || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
done
}
build () {
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
- --sysconfdir=/etc || return 1
- make || return 1
+ --sysconfdir=/etc \
+ || return 1
+ make -j1 elf static || return 1
+ cd slsh && make || return 1
}
package() {
cd "$srcdir"/$pkgname-$pkgver
make -j1 install-all DESTDIR="$pkgdir" || return 1
}
-md5sums="9a72420df2aa7b1932a195c6e5a85465 slang-2.2.1.tar.gz
-56ca82f415578994b6050e769b6b7bc9 slang-2.1.3-uclibc.patch"
+md5sums="ffd7718a9808894413a0e0ee82a79335 slang-2.2.3.tar.gz
+7f67ad2059a7dd3cad289da97d547521 slang-2.2.3-slsh-libs.patch"
diff --git a/main/slang/slang-2.1.3-uclibc.patch b/main/slang/slang-2.1.3-uclibc.patch
deleted file mode 100644
index d7ed5a8d65..0000000000
--- a/main/slang/slang-2.1.3-uclibc.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -ur slang-2.1.3.orig/src/slcommon.c slang-2.1.3/src/slcommon.c
---- slang-2.1.3.orig/src/slcommon.c 2007-01-10 18:09:07.000000000 +0200
-+++ slang-2.1.3/src/slcommon.c 2008-03-19 16:09:09.000000000 +0200
-@@ -191,7 +191,7 @@
- return p;
- }
-
--#if !defined(HAVE_ISSETUGID) && defined(__GLIBC__) && (__GLIBC__ >= 2)
-+#if !defined(HAVE_ISSETUGID) && defined(__GLIBC__) && (__GLIBC__ >= 2) && !defined(__UCLIBC__)
- extern int __libc_enable_secure;
- # define HAVE___LIBC_ENABLE_SECURE 1
- #endif
diff --git a/main/slang/slang-2.2.3-slsh-libs.patch b/main/slang/slang-2.2.3-slsh-libs.patch
new file mode 100644
index 0000000000..8f9ff468f5
--- /dev/null
+++ b/main/slang/slang-2.2.3-slsh-libs.patch
@@ -0,0 +1,11 @@
+--- ./slsh/Makefile.in
++++ ./slsh/Makefile.in
+@@ -80,7 +80,7 @@
+ $(OBJDIR)/slsh_exe: $(OBJDIR)/slsh.o $(OBJDIR)/readline.o
+ $(CC) $(CFLAGS) $(OBJDIR)/slsh.o $(OBJDIR)/readline.o -o $(OBJDIR)/slsh_exe $(LDFLAGS) $(SRC_LIBS)
+ $(OBJDIR)/slsh: $(OBJDIR)/slsh.o $(OBJDIR)/readline.o
+- $(CC) $(CFLAGS) $(OBJDIR)/slsh.o $(OBJDIR)/readline.o -o $(OBJDIR)/slsh $(LDFLAGS) $(INST_LIBS)
++ $(CC) $(CFLAGS) $(OBJDIR)/slsh.o $(OBJDIR)/readline.o -o $(OBJDIR)/slsh $(LDFLAGS) $(SRC_LIBS)
+ $(OBJDIR)/slsh.o: $(OBJDIR) slsh.c slsh.h config.h Makefile
+ cd $(OBJDIR) && $(CC) -c $(CFLAGS) $(SLANG_SRCINC) $(DEFS) $(SRCDIR)/slsh.c
+ $(OBJDIR)/readline.o: $(OBJDIR) readline.c slsh.h config.h Makefile